com.jogamp.opengl.util.texture

## Enum TextureData.ColorSpace

- java.lang.Object
- - java.lang.Enum<TextureData.ColorSpace>
  - - com.jogamp.opengl.util.texture.TextureData.ColorSpace

- All Implemented Interfaces:
    Serializable, Comparable<TextureData.ColorSpace>
  Enclosing class:
    TextureData

      public static enum TextureData.ColorSpace
      extends Enum<TextureData.ColorSpace>

  ColorSpace of pixel data.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CMYK`
    `RGB`
    `YCbCr`
    `YCCK`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TextureData.ColorSpace` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TextureData.ColorSpace[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RGB

          public static final TextureData.ColorSpace RGB

    - #### YCbCr

          public static final TextureData.ColorSpace YCbCr

    - #### YCCK

          public static final TextureData.ColorSpace YCCK

    - #### CMYK

          public static final TextureData.ColorSpace CMYK

  - ### Method Detail

    - #### values

          public static TextureData.ColorSpace[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TextureData.ColorSpace c : TextureData.ColorSpace.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TextureData.ColorSpace valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright 2010 JogAmp Community.